<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable42;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable42Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null && $row[7] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable42([
            'dataset_id'        => $this->datasetId,
            'created_by'        => $this->userId,
            'nama_perusahaan'   => $row[2],
            'lokasi'            => $row[3],
            'jenis_kegiatan'    => $row[4],
            'jenis_izin'        => $row[5],
            'nomor_sk'          => $row[6],
            'dokumen'           => $row[7],
        ]);
    }
}
